Search found 23 matches

by Misko_2083
Tue May 08, 2018 5:57 am
Forum: Community Projects
Topic: UnlockMe tweaks for Linux Mint
Replies: 10
Views: 1672

Re: UnlockMe tweaks for Linux Mint

when the dialog is maximized it puts too much content to the left of the screen while the right side is almost empty. I didn't thought about that. If you set the --orient=hor in the paned dialog, text-info tab will go to the rigth but that would increase the window width. There are four text colums...
by Misko_2083
Sun May 06, 2018 2:13 pm
Forum: Community Projects
Topic: UnlockMe tweaks for Linux Mint
Replies: 10
Views: 1672

Re: UnlockMe tweaks for Linux Mint

Cheers, Ralphy if you think there is too much empty space on the left side of the window, you can move the image from the main "paned" dialog to the first tab. Or use --image-on-top here yad --plug=123654 --text="First tab" --image=gtk-ok --list --column h "123" --image-on-top --tabnum=1 & yad --plu...
by Misko_2083
Mon Apr 23, 2018 1:11 pm
Forum: Community Projects
Topic: UnlockMe tweaks for Linux Mint
Replies: 10
Views: 1672

Re: UnlockMe tweaks for Linux Mint

ralphy wrote:
Thu Apr 19, 2018 4:57 am
- don't leave it up to me alone though. Jump in.
Ralphy I run mostly Debian based without systemD and I'm too lazy to install ubuntu based to test.
This is what I came up with. Added a few basic info just to demonstrate.
by Misko_2083
Wed Apr 18, 2018 11:40 pm
Forum: Community Projects
Topic: UnlockMe tweaks for Linux Mint
Replies: 10
Views: 1672

Re: UnlockMe tweaks for Linux Mint

Hi Ralphy, Have you considered doing something like this? :D #!/bin/bash fkey=$(($RANDOM * $$)) export wpipe="/tmp/wooloo.$RANDOM" mkfifo $wpipe export sel_pipe="/tmp/wahooo.$RANDOM" #trap to remove temp files on exit trap "rm -f $wpipe $sel_pipe" EXIT exec 3<> $wpipe function display_info() { # For...
by Misko_2083
Wed Apr 18, 2018 11:20 pm
Forum: Scripts & Bash
Topic: Find the xfce4-panel that launched the script?
Replies: 2
Views: 350

Re: Find the xfce4-panel that launched the script?

Thanks for the reply. I wanted to position the yad window properly near the notification icon on all the possible screen corners. Found something that works but only in cases when there are 2 or less monitors. #!/bin/bash # volume notification icon # ERR(){ echo "ERROR: $1" 1>&2; } declare -i DEPCOU...
by Misko_2083
Fri Apr 06, 2018 9:13 am
Forum: Scripts & Bash
Topic: Find the xfce4-panel that launched the script?
Replies: 2
Views: 350

Find the xfce4-panel that launched the script?

How can I find out from which xfce4-panel was a script launched? Situation: From a custom panel launcher, some script is launched and that script detects the panel and it's position, height and geometry. Let's say the script uses xdotool to detect the mouse pointer position when being run from a lau...
by Misko_2083
Sun Dec 03, 2017 8:47 pm
Forum: Scripts & Bash
Topic: Loop
Replies: 11
Views: 911

Re: Loop

like "true", ":" has a return status of 0. true; echo $? returns 0 :; echo $? also returns 0 That is why it can be used in a while loop while :; do echo -n "Mrmajik45 "; done which does the same as while true; do echo -n "Mrmajik45 "; done Now, "false" has a return status 1 false; echo $? Therefore ...
by Misko_2083
Thu Nov 30, 2017 10:42 pm
Forum: Scripts & Bash
Topic: BashFu - Archive the Latest Files to Send Away
Replies: 2
Views: 506

Re: BashFu - Archive the Latest Files to Send Away

Termy, by the look on the script it seems to download the entire page. It's no wonder your hard disk is full. :D It would be easier to drag an' drop the image thumbnails while listing pages and download later. This is only an example that downloads 1920x1080 images to ~/Downloads. List pages https:/...
by Misko_2083
Fri Nov 17, 2017 2:41 pm
Forum: Scripts & Bash
Topic: Close all Windows at Once
Replies: 1
Views: 545

Re: Close all Windows at Once

Instead of filtering with app name you could filter out X window properties. This asks to close gracefully only normal windows and dialogs. Conky, Docky xfce and other stuff should be safe in theory. #!/bin/bash #Check dependancies DEPCOUNT=0 for DEP in /usr/bin/{zenity,xprop,wmctrl,awk} /bin/{grep,...
by Misko_2083
Mon Oct 16, 2017 1:52 pm
Forum: Scripts & Bash
Topic: A way to display file copy progress when copying to a USB stick
Replies: 10
Views: 981

Re: A way to display file copy progress when copying to a USB stick

I just recalled there is CommandRunner applet for Cinnamon which is perfect. Like Genmon Xfce plugin, it can display stdout coming from a script so, you won't need to clear hundreds of notifications after all. :mrgreen: A modified version to fit with this applet: #! /bin/bash if [ $(awk "{ print \$...
by Misko_2083
Mon Oct 02, 2017 9:38 am
Forum: Scripts & Bash
Topic: Nemo script to get selected files as one command line string
Replies: 3
Views: 502

Re: Nemo script to get selected files as one command line string

This is interesting. I have this in my ~/.bashrc select_files() { OIFS=$IFS IFS=$'\n' local files=" $(for line in $(zenity --file-selection --multiple --title="Select a File" 2> /dev/null | tr '|' '\n'); do printf "'%s' " "$line"; done)" IFS=$OIFS READLINE_LINE="${READLINE_LINE:0:READLINE_POINT}$fil...
by Misko_2083
Fri Sep 29, 2017 7:20 pm
Forum: Scripts & Bash
Topic: Regulating audio output levels
Replies: 4
Views: 487

Re: Regulating audio output levels

There is an old thread on archlinux forum https://bbs.archlinux.org/viewtopic.php?id=99185
I know mplayer had an option to compress/limit audio output on the fly. Maybe mpv can do that too.
by Misko_2083
Tue Sep 26, 2017 3:32 pm
Forum: Tutorials
Topic: Sudo Password Asterisks in the Terminal Window
Replies: 0
Views: 180

Sudo Password Asterisks in the Terminal Window

PLEASE READ THIS FIRST: Echoing asterisks gives away information: 1) Password length, and 2) Makes it easier to video-tape keypresses by syncing them with screen feedback. ;) We will open the /etc/sudoers file and change a setting. IMPORTANT: Use extreme caution when editing /etc/sudoers file. Neve...
by Misko_2083
Mon Sep 25, 2017 3:30 pm
Forum: Scripts & Bash
Topic: purge-old-kernels: an attempt at a successor
Replies: 6
Views: 1044

Re: purge-old-kernels: an attempt at a successor

Few years ago, I made some scripts with zenity dialogs as UI for Linux Lite. This was the bash function for removing old kernels: KERNELS() { APPNAME=" Kernel Remover" # Check current Kernel CURKERNEL=$(uname -r|sed 's/-*[a-z]//g'|sed 's/-386//g') # Define what Kernel packages to look for LINUXPKG="...
by Misko_2083
Mon Apr 04, 2016 1:33 pm
Forum: Scripts & Bash
Topic: Right-click custom action checksum
Replies: 14
Views: 4732

Re: Right-click custom action checksum

You're welcome @jazz.h & @slavko. Now, I think, it's pretty much complete. Well, it works on almost all file managers. I wasn't too lazy to experiment so I made a similar script just for the Thunar File Manager. It has a working progress bar :) and calculates only md5 checksums. It works for single ...
by Misko_2083
Fri Apr 01, 2016 5:11 pm
Forum: Scripts & Bash
Topic: Right-click custom action checksum
Replies: 14
Views: 4732

Re: Right-click custom action checksum

I don't use Mate, but from a quick search, the location where caja expects the scripts for the context menu to be is
/home/username/.config/caja/scripts
Try to create the script file in there and make executable (chmod +x)
by Misko_2083
Fri Apr 01, 2016 12:53 pm
Forum: Scripts & Bash
Topic: Right-click custom action checksum
Replies: 14
Views: 4732

Re: Right-click custom action checksum

It's a good idea Slavko. 8) I've changed it so that the sum can be entered by hand. If xsel is installed it will automatically paste the text from clipboard into the entry box. Otherwise it will echo "Paste Here" into the same box. Wording and descriptions could be better, but I'm just too lazy righ...
by Misko_2083
Sun Dec 20, 2015 9:10 am
Forum: Scripts & Bash
Topic: My little Thunar Custom Action Script
Replies: 3
Views: 561

Re: My little Thunar Custom Action Script

LoL, Habitual you seem brave enough to try. :D Update: -now this will be used to represent file input $@ -added an option to set audio volume from the menu #!/usr/bin/env python3 # Thunar custom actions launcher for the audio files # Milos Pavlovic 2015 <mpsrbija@gmail.com> # # Save this file to /us...
by Misko_2083
Mon Dec 14, 2015 1:48 am
Forum: Scripts & Bash
Topic: My little Thunar Custom Action Script
Replies: 3
Views: 561

My little Thunar Custom Action Script

Here is one python 3 script for Habitual to try out :lol: Checks from an array if application is installed and adds it to a menu. Opens a context menu from the Thunar's context menu. From a context menu you can launch further actions defined in the array. Script quits when you click outside of a men...
by Misko_2083
Thu Jun 11, 2015 9:21 pm
Forum: Scripts & Bash
Topic: [SOLVED]Delete a first pattern and all the lines to second
Replies: 2
Views: 482

Re: Delete a first pattern and all the lines to second patte

Thanks xenopeek. Worked like a charm. I know some sed but got really stuck on that one. Will use that in a script like this: #!/bin/bash ARR=() while read line do line=$(echo "$line" | grep -E "^\[.*\]$" | grep -vE "^\[global\]$" 2>/dev/null) if [[ ! -z "$line" ]]; then ARR+=( $( echo "FALSE $line" ...

Go to advanced search